## com.sun.jna.platform.win32
Class WinCrypt

    java.lang.Object
      com.sun.jna.platform.win32.WinCrypt

    public abstract class WinCrypt

extends java.lang.Object

Ported from WinCrypt.h. Microsoft Windows SDK 6.0A.

Nested Class Summary
`static class` `WinCrypt.CRYPTPROTECT_PROMPTSTRUCT` The CRYPTPROTECT_PROMPTSTRUCT structure provides the text of a prompt and information about when and where that prompt is to be displayed when using the CryptProtectData and CryptUnprotectData functions.
`static class` `WinCrypt.DATA_BLOB` The CryptoAPI CRYPTOAPI_BLOB structure is used for an arbitrary array of bytes.

Field Summary
`static int` `CRYPTPROTECT_AUDIT` Generate an Audit on protect and unprotect operations.
`static int` `CRYPTPROTECT_CRED_REGENERATE` Regenerate the local machine protection.
`static int` `CRYPTPROTECT_CRED_SYNC` Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.
`static int` `CRYPTPROTECT_LOCAL_MACHINE` Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.
`static int` `CRYPTPROTECT_NO_RECOVERY` Protect data with a non-recoverable key.
`static int` `CRYPTPROTECT_PROMPT_ON_PROTECT` Prompt on protect.
`static int` `CRYPTPROTECT_PROMPT_ON_UNPROTECT` Prompt on unprotect.
`static int` `CRYPTPROTECT_PROMPT_REQUIRE_STRONG` Require strong variant UI protection (user supplied password currently).
`static int` `CRYPTPROTECT_PROMPT_RESERVED` Reserved, don't use.
`static int` `CRYPTPROTECT_PROMPT_STRONG` Default to strong variant UI protection (user supplied password currently).
`static int` `CRYPTPROTECT_UI_FORBIDDEN` For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.
`static int` `CRYPTPROTECT_VERIFY_PROTECTION` Verify the protection of a protected blob.

Constructor Summary
`WinCrypt()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CRYPTPROTECT_PROMPT_ON_UNPROTECT

    public static final int CRYPTPROTECT_PROMPT_ON_UNPROTECT

  Prompt on unprotect.

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_ON_PROTECT

    public static final int CRYPTPROTECT_PROMPT_ON_PROTECT

  Prompt on protect.

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_RESERVED

    public static final int CRYPTPROTECT_PROMPT_RESERVED

  Reserved, don't use.

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_STRONG

    public static final int CRYPTPROTECT_PROMPT_STRONG

  Default to strong variant UI protection (user supplied password currently).

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_REQUIRE_STRONG

    public static final int CRYPTPROTECT_PROMPT_REQUIRE_STRONG

  Require strong variant UI protection (user supplied password currently).

  See Also:
    Constant Field Values

### CRYPTPROTECT_UI_FORBIDDEN

    public static final int CRYPTPROTECT_UI_FORBIDDEN

  For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.

  See Also:
    Constant Field Values

### CRYPTPROTECT_LOCAL_MACHINE

    public static final int CRYPTPROTECT_LOCAL_MACHINE

  Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.

  See Also:
    Constant Field Values

### CRYPTPROTECT_CRED_SYNC

    public static final int CRYPTPROTECT_CRED_SYNC

  Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.

  See Also:
    Constant Field Values

### CRYPTPROTECT_AUDIT

    public static final int CRYPTPROTECT_AUDIT

  Generate an Audit on protect and unprotect operations.

  See Also:
    Constant Field Values

### CRYPTPROTECT_NO_RECOVERY

    public static final int CRYPTPROTECT_NO_RECOVERY

  Protect data with a non-recoverable key.

  See Also:
    Constant Field Values

### CRYPTPROTECT_VERIFY_PROTECTION

    public static final int CRYPTPROTECT_VERIFY_PROTECTION

  Verify the protection of a protected blob.

  See Also:
    Constant Field Values

### CRYPTPROTECT_CRED_REGENERATE

    public static final int CRYPTPROTECT_CRED_REGENERATE

  Regenerate the local machine protection.

  See Also:
    Constant Field Values

Constructor Detail

### WinCrypt

    public WinCrypt()